Package org.picocontainer.behaviors

# Class Behavior

java.lang.Object
org.picocontainer.behaviors.Behavior

public class Behavior extends Object
static collection of factory methods for easier behavior creation

Author:
  Konstantin Pribluda

## Constructor Summary

Constructors
Constructor
Description
`Behavior()`

## Method Summary

Modifier and Type
Method
Description
`static final Behavior`
`cached(ComponentAdapter delegate)`
`static final Behavior`
`cached(ComponentAdapter delegate, ObjectReference instanceReference)`
`static final Behavior`
`decorated(ComponentAdapter delegate, org.picocontainer.behaviors.Decorated.Decorator decorator)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Behavior

public Behavior()

## Method Details

### cached

public static final Behavior cached(ComponentAdapter delegate)

### cached

public static final Behavior cached(ComponentAdapter delegate, ObjectReference instanceReference)

### decorated

public static final Behavior decorated(ComponentAdapter delegate, org.picocontainer.behaviors.Decorated.Decorator decorator)